Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.databind.jsontype.impl
Class ClassNameIdResolver

    java.lang.Object
      com.fasterxml.jackson.databind.jsontype.impl.TypeIdResolverBase
          com.fasterxml.jackson.databind.jsontype.impl.ClassNameIdResolver

All Implemented Interfaces:
  TypeIdResolver

Direct Known Subclasses:
  MinimalClassNameIdResolver

    public class ClassNameIdResolver

extends TypeIdResolverBase

`TypeIdResolver` implementation that converts between fully-qualified Java class names and (JSON) Strings.

Field Summary

Fields inherited from class com.fasterxml.jackson.databind.jsontype.impl.TypeIdResolverBase
`_baseType, _typeFactory`

Constructor Summary
`ClassNameIdResolver(JavaType baseType, TypeFactory typeFactory)`

Method Summary
`protected String` | `_idFrom(Object value, Class<?> cls)`
`com.fasterxml.jackson.annotation.JsonTypeInfo.Id` | `getMechanism()` Accessor for mechanism that this resolver uses for determining type id from type.
`String` | `idFromValue(Object value)` Method called to serialize type of the type of given value as a String to include in serialized JSON content.
`String` | `idFromValueAndType(Object value, Class<?> type)` Alternative method used for determining type from combination of value and type, using suggested type (that serializer provides) and possibly value of that type.
`void` | `registerSubtype(Class<?> type, String name)`
`JavaType` | `typeFromId(String id)` Method called to resolve type from given type identifier.

Methods inherited from class com.fasterxml.jackson.databind.jsontype.impl.TypeIdResolverBase
`idFromBaseType, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassNameIdResolver

    public ClassNameIdResolver(JavaType baseType,
                               TypeFactory typeFactory)

Method Detail

### getMechanism

    public com.fasterxml.jackson.annotation.JsonTypeInfo.Id getMechanism()

  Description copied from interface: `TypeIdResolver`
  Accessor for mechanism that this resolver uses for determining type id from type. Mostly informational; not required to be called or used.

### registerSubtype

    public void registerSubtype(Class<?> type,
                                String name)

### idFromValue

    public String idFromValue(Object value)

  Description copied from interface: `TypeIdResolver`
  Method called to serialize type of the type of given value as a String to include in serialized JSON content.

### idFromValueAndType

    public String idFromValueAndType(Object value,
                                     Class<?> type)

  Description copied from interface: `TypeIdResolver`
  Alternative method used for determining type from combination of value and type, using suggested type (that serializer provides) and possibly value of that type. Most common implementation will use suggested type as is.

### typeFromId

    public JavaType typeFromId(String id)

  Description copied from interface: `TypeIdResolver`
  Method called to resolve type from given type identifier.

### _idFrom

    protected final String _idFrom(Object value,
                                   Class<?> cls)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 fasterxml.com. All Rights Reserved.